Update Email Campaign Step
curl --request PATCH \
--url https://api.getoutbox.ai/email/campaigns/{campaign_id}/steps/{step_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"step_order": 1,
"subject": "<string>",
"body_html": "<string>",
"body_text": "<string>",
"delay_minutes": 1073741823,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"campaign": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getoutbox.ai/email/campaigns/{campaign_id}/steps/{step_id}/"
payload = {
"step_order": 1,
"subject": "<string>",
"body_html": "<string>",
"body_text": "<string>",
"delay_minutes": 1073741823,
"is_active": True,
"created_at": "2023-11-07T05:31:56Z",
"campaign": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
step_order: 1,
subject: '<string>',
body_html: '<string>',
body_text: '<string>',
delay_minutes: 1073741823,
is_active: true,
created_at: '2023-11-07T05:31:56Z',
campaign: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getoutbox.ai/email/campaigns/{campaign_id}/steps/{step_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"campaign": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_order": 1,
"subject": "<string>",
"body_html": "<string>",
"body_text": "<string>",
"delay_minutes": 1073741823,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}Email Campaigns
Update Campaign Step
Partial update of a single step (subject, html/text, delay, position).
PATCH
/
email
/
campaigns
/
{campaign_id}
/
steps
/
{step_id}
/
Update Email Campaign Step
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Required range:
0 <= x <= 2147483647Maximum string length:
512Required range:
0 <= x <= 2147483647⌘I

